Subject: Re: bug#52973: Adding a few context-menu-mode commands

From: Juri Linkov <[email-masked]>
Date: Thu, 13 Jan 2022 10:39:25 +0200

>> >> > A menu item that is not used does no special harm.  So why not have
>> >> > these items in the menus by default?
>> >>
>> >> Adding all these items by default will load all these packages by default,
>> >> including man.el, hi-lock.el, etc.
>> >
>> > When will that load these packages?  When context-menu-mode is turned
>> > on, when the menu is actually popped up, or something else?
>>
>> When the menu is popped up the first time.
>
> Then why is that a problem?

The problem is that irrelevant packages will be loaded by default.

> We could alternatively only have these items when the corresponding
> package is loaded, but you rejected that possibility, AFAIU.

This means there are no hi-lock/man items by default.
Then once the user used `M-x man' or `M-x highlight-regexp',
these items will surprisingly appear in the global menu.
This makes no sense, there are no such magic things happened
on the menu bar.